unit MergeParams;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, MailMerg;

type
  TMergeParamsDlg = class(TForm)
    Label1: TLabel;
    cmSendToWhere: TComboBox;
    ConfigPrnBtn: TButton;
    GroupBox1: TGroupBox;
    AllRecordsBtn: TRadioButton;
    FirstRecordBtn: TRadioButton;
    edFirstRecord: TEdit;
    Label2: TLabel;
    edLastRecord: TEdit;
    GroupBox2: TGroupBox;
    SuppressBlankLinesBtn: TRadioButton;
    PrintBlankLinesBtn: TRadioButton;
    MailMergeBtn: TButton;
    CancelBtn: TButton;
    PrinterSetupDialog: TPrinterSetupDialog;
    procedure cmSendToWhereChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure SuppressBlankLinesBtnClick(Sender: TObject);
    procedure PrintBlankLinesBtnClick(Sender: TObject);
    procedure AllRecordsBtnClick(Sender: TObject);
    procedure FirstRecordBtnClick(Sender: TObject);
    procedure ConfigPrnBtnClick(Sender: TObject);
    procedure edFirstRecordChange(Sender: TObject);
    procedure edLastRecordChange(Sender: TObject);
  private
    { Dclarations prives }
    procedure EnableEdits(Value: Boolean);
  public
    { Dclarations publiques }
  end;

var
  MergeParamsDlg: TMergeParamsDlg;

implementation

{$R *.DFM}

uses MergeWizard;

procedure TMergeParamsDlg.cmSendToWhereChange(Sender: TObject);
begin
  ConfigPrnBtn.Enabled:=cmSendToWhere.ItemIndex = 1;
  case cmSendToWhere.ItemIndex of
    0:WizardMailMergeDlg.MailMerge.Destination:=mdSendToNewDocument;
    1:WizardMailMergeDlg.MailMerge.Destination:=mdSendToPrinter;
  end;
  CancelBtn.Caption:='Fermer';
end;

procedure TMergeParamsDlg.FormShow(Sender: TObject);
begin
  cmSendToWhere.ItemIndex:=0;
  cmSendToWhereChange(Self);
  EnableEdits(False);
  CancelBtn.Caption:='Annu&ler';
  cmSendToWhere.SetFocus;
end;

procedure TMergeParamsDlg.SuppressBlankLinesBtnClick(Sender: TObject);
begin
  WizardMailMergeDlg.MailMerge.SuppressBlankLines:=(Sender as TRadioButton).Checked;
  CancelBtn.Caption:='Fermer';
end;

procedure TMergeParamsDlg.PrintBlankLinesBtnClick(Sender: TObject);
begin
  WizardMailMergeDlg.MailMerge.SuppressBlankLines:=(Sender as TRadioButton).Checked;
  CancelBtn.Caption:='Fermer';
end;

procedure TMergeParamsDlg.AllRecordsBtnClick(Sender: TObject);
begin
  EnableEdits(not (Sender as TRadioButton).Checked);
  CancelBtn.Caption:='Fermer';
end;

procedure TMergeParamsDlg.FirstRecordBtnClick(Sender: TObject);
begin
  EnableEdits((Sender as TRadioButton).Checked);
  CancelBtn.Caption:='Fermer';
end;

procedure TMergeParamsDlg.EnableEdits(Value: Boolean);
begin
  edFirstRecord.Enabled:=Value;
  edLastRecord.Enabled:=Value;
end;

procedure TMergeParamsDlg.ConfigPrnBtnClick(Sender: TObject);
begin
  PrinterSetupDialog.Execute;
end;

procedure TMergeParamsDlg.edFirstRecordChange(Sender: TObject);
begin
  WizardMailMergeDlg.MailMerge.FirstRecord:=StrToIntDef(edFirstRecord.Text,0);
  CancelBtn.Caption:='Fermer';
end;

procedure TMergeParamsDlg.edLastRecordChange(Sender: TObject);
begin
  WizardMailMergeDlg.MailMerge.LastRecord:=StrToIntDef(edLastRecord.Text,0);
  CancelBtn.Caption:='Fermer';
end;

end.
